com.dlsc.flexgantt.swing.treetable

## Class TreeTable.DateEditor

- java.lang.Object
- - javax.swing.AbstractCellEditor
  - - com.dlsc.flexgantt.swing.treetable.TreeTable.DateEditor

- All Implemented Interfaces:
    ITreeTableCellEditor, Serializable, CellEditor
  Enclosing class:
    TreeTable

      public static class TreeTable.DateEditor
      extends AbstractCellEditor
      implements ITreeTableCellEditor

  An editor for values of type `Date`.
  Since:
    1.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractCellEditor

      `changeEvent, listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getCellEditorValue()`
    `Component` | `getEditorComponent(Object value)` Returns the UI editor component for the given value object.
    `Component` | `getTreeTableCellEditorComponent(TreeTable tree, Object value, boolean selected, int row, int column)` Returns the editor component that will be placed inside the cell so that the user can edit the cell's value.

    - ### Methods inherited from class javax.swing.AbstractCellEditor

      `addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.CellEditor

      `addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

- - ### Constructor Detail

    - #### DateEditor

          public DateEditor()

  - ### Method Detail

    - #### getEditorComponent

          public Component getEditorComponent(Object value)

      Returns the UI editor component for the given value object.
      Parameters:
        `value` - the table cell value
      Returns:
        an editor for the given value
      Since:
        1.0

    - #### getTreeTableCellEditorComponent

          public Component getTreeTableCellEditorComponent(TreeTable tree,
                                                           Object value,
                                                           boolean selected,
                                                           int row,
                                                           int column)

      Description copied from interface: `ITreeTableCellEditor`
      Returns the editor component that will be placed inside the cell so that the user can edit the cell's value.
      Specified by:
        `getTreeTableCellEditorComponent` in interface `ITreeTableCellEditor`
      Parameters:
        `tree` - the tree table component to which the editor component will be added
        `value` - the current value shown in the tree table cell
        `selected` - a flag that signals whether the row in which the cell is located is currently selected
        `row` - the row in which the cell is located
        `column` - the column in which the cell is located
      Returns:
        a component used for editing the value of the given tree table cell

    - #### getCellEditorValue

          public Object getCellEditorValue()

      Specified by:
        `getCellEditorValue` in interface `CellEditor`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.